const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const blogs = sequelize.define(
    'blogs',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

title: {
        type: DataTypes.TEXT,

      },

content: {
        type: DataTypes.TEXT,

      },

visibility: {
        type: DataTypes.ENUM,

        values: [

"public",

"friendsonly",

"private"

        ],

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  blogs.associate = (db) => {

    db.blogs.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.blogs.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return blogs;
};

